=== modified file 'NewEvent.qml'
--- NewEvent.qml	2013-06-26 10:08:08 +0000
+++ NewEvent.qml	2013-07-11 13:17:04 +0000
@@ -8,7 +8,9 @@
 Popover {
     id: popover
     property var defaultDate;
-    property string errorText;
+    property alias errorText: errorPopupDialog.text;
+    property var startDate: defaultDate;
+    property var endDate: defaultDate;
 
     Column {
         id: containerLayout
@@ -59,25 +61,53 @@
                         }
                     }
                 }
+                Component {
+                    id: timePicker
+                    TimePicker {
+                    }
+                }
 
                 Item {
                     id: timeContainer
                     width: parent.width
                     height: startTime.height
 
+                    /*ListItem.Empty {
+                        id: startTime
+                        highlightWhenPressed: false
+                        anchors.left: timeContainer.left
+                        width: units.gu(12)
+                        TextField {
+                            objectName: "startTimeInput"
+                            id: startTimeEdit
+                            text: Qt.formatDateTime(defaultDate,"hh:mm")
+                            anchors {
+                                fill: parent
+                                margins: units.gu(1)
+                            }
+                        }
+                    }*/
+
                     ListItem.Empty {
                         id: startTime
-                        highlightWhenPressed: false
                         anchors.left: timeContainer.left
                         width: units.gu(12)
-                        TextField {
+                        Button {
                             objectName: "startTimeInput"
                             id: startTimeEdit
-                            text: Qt.formatDateTime(defaultDate,"hh:mm")
+                            text: Qt.formatDateTime(startDate,"hh:mm")
                             anchors {
                                 fill: parent
                                 margins: units.gu(1)
                             }
+                            onClicked: {
+                                var popupObj = PopupUtils.open(timePicker);
+                                popupObj.accepted.connect(function(hour, minute) {
+                                    var newDate = startDate;
+                                    newDate.setHours(hour, minute);
+                                    startDate = newDate;
+                                })
+                            }
                         }
                     }
 
@@ -95,14 +125,22 @@
                         highlightWhenPressed: false
                         anchors.right: timeContainer.right
                         width: units.gu(12)
-                        TextField {
+                        Button {
                             objectName: "endTimeInput"
                             id: endTimeEdit
-                            text: Qt.formatDateTime(defaultDate,"hh:mm")
+                            text: Qt.formatDateTime(endDate,"hh:mm")
                             anchors {
                                 fill: parent
                                 margins: units.gu(1)
                             }
+                            onClicked: {
+                                var popupObj = PopupUtils.open(timePicker);
+                                popupObj.accepted.connect(function(hour, minute) {
+                                    var newDate = endDate;
+                                    newDate.setHours(hour, minute);
+                                    endDate = newDate;
+                                })
+                            }
                         }
                     }
                 }
@@ -142,7 +180,7 @@
             Dialog {
                 id: errorPopupDialog
                 title: i18n.tr("Error")
-                text: errorText
+                text: ""
                 Button {
                     text: i18n.tr("Ok")
                     onClicked: PopupUtils.close(errorPopupDialog)
@@ -182,32 +220,11 @@
                         DataService.addEvent(event);
                         errorPopupDialog.destroy();
                         PopupUtils.close(popover);
-                    } else if (error === 1)
-                        errorText = i18n.tr("Time format not valid");
-                    else if (error === 2)
+                    } else
                         errorText = i18n.tr("End time can't be before start time");
 
                     errorPopupDialog.show();
                     error = 0;
-
-                    // Control time validity and return date with time
-                    function setTime(time) {
-                        var date = new Date(defaultDate);
-                        if (time.length === 2 && time[0].length < 3 && time[1].length < 3) {
-                            //HH:MM format
-                            date.setHours(time[0]);
-                            date.setMinutes(time[1]);
-                        }
-                        else if (time.length === 1 && time[0].length < 3) {
-                            //HH format
-                            date.setHours(time[0]);
-                            date.setMinutes(0);
-                        }
-                        else
-                            error = 1;
-
-                        return date;
-                    }
                 }
             }
         }

=== added file 'Scroller.qml'
--- Scroller.qml	1970-01-01 00:00:00 +0000
+++ Scroller.qml	2013-07-11 13:17:04 +0000
@@ -0,0 +1,145 @@
+/*
+ * Copyright (C) 2013 Michael Zanetti <michael_zanetti@gmx.net>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+import QtQuick 2.0
+import Ubuntu.Components 0.1
+import Ubuntu.Components.ListItems 0.1 as ListItems
+
+Item {
+    id: root
+    property int min: 0
+    property int max: 10
+    property variant value: model.get(listView.currentIndex) !== undefined ? model.get(listView.currentIndex).modelData : ""
+    property alias model: listView.model
+    property alias labelText: label.text
+    property alias currentIndex: listView.currentIndex
+
+    ListModel {
+        id: defaultModel
+    }
+
+    Component.onCompleted: {
+        var oldIndex = currentIndex
+        for (var i = 0; i < (max+1)-min; ++i) {
+            defaultModel.append({modelData: root.min + i})
+        }
+        listView.highlightMoveDuration = 0
+        currentIndex = oldIndex
+        listView.highlightMoveDuration = 300
+    }
+
+    onMinChanged: {
+        if (defaultModel.get(0) === undefined) {
+            return;
+        }
+
+        var oldMin = defaultModel.get(0).modelData
+
+        while (oldMin > min) {
+            defaultModel.insert(0, {modelData: --oldMin })
+        }
+        while (oldMin < min) {
+            defaultModel.remove(0)
+            ++oldMin
+        }
+    }
+
+    onMaxChanged: {
+        if (defaultModel.get(defaultModel.count - 1) === undefined) {
+            return;
+        }
+
+        var oldMax = defaultModel.get(defaultModel.count - 1).modelData
+
+        while (max < oldMax) {
+            defaultModel.remove(defaultModel.count - 1);
+            --oldMax;
+        }
+        while (max > oldMax) {
+            defaultModel.insert(defaultModel.count, {modelData: ++oldMax})
+        }
+    }
+
+    Item {
+        id: labelRect
+        anchors {
+            left: parent.left
+            top: parent.top
+            right: parent.right
+        }
+        height: units.gu(5)
+
+        Label {
+            id: label
+            anchors.centerIn: parent
+        }
+        ListItems.Divider {
+            anchors {
+                left: parent.left
+                bottom: parent.bottom
+                right: parent.right
+            }
+        }
+    }
+
+    PathView {
+        id: listView
+        model: defaultModel
+        anchors.fill: parent
+        anchors.topMargin: labelRect.height
+        pathItemCount: listView.height / highlightItem.height + 1
+        preferredHighlightBegin: 0.5
+        preferredHighlightEnd: 0.5
+        clip: true
+
+        delegate: ListItems.Standard {
+            width: parent.width
+            highlightWhenPressed: false
+            Label {
+                anchors.centerIn: parent
+                text: modelData
+            }
+            onClicked: listView.currentIndex = index
+        }
+        property int contentHeight: pathItemCount * highlightItem.height
+        path: Path {
+            startX: listView.width / 2; startY: -(listView.contentHeight - listView.height) / 2
+            PathLine { x: listView.width / 2; y: listView.height + (listView.contentHeight - listView.height) / 2 }
+        }
+        highlight: Rectangle {
+            width: parent.width
+            height: units.gu(6)
+            property color baseColor: "#dd4814"
+            gradient: Gradient {
+                GradientStop {
+                    position: 0.00;
+                    color: Qt.lighter(baseColor, 1.3);
+                }
+                GradientStop {
+                    position: 1.0;
+                    color: baseColor;
+                }
+            }
+        }
+        ListItems.Divider {
+            anchors {
+                left: parent.left
+                bottom: parent.bottom
+                right: parent.right
+            }
+        }
+    }
+}

=== added file 'TimePicker.qml'
--- TimePicker.qml	1970-01-01 00:00:00 +0000
+++ TimePicker.qml	2013-07-11 13:17:04 +0000
@@ -0,0 +1,90 @@
+/*
+ * Copyright (C) 2013 Michael Zanetti <michael_zanetti@gmx.net>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; version 3.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+import QtQuick 2.0
+import Ubuntu.Components 0.1
+import Ubuntu.Components.Popups 0.1
+
+Dialog {
+    id: root
+    title: qsTr("Time")
+    height: units.gu(100)
+
+    property alias hour: hourScroller.currentIndex
+    property alias minute: minuteScroller.currentIndex
+
+    signal accepted(int hours, int minutes)
+    signal rejected()
+
+    QtObject {
+        id: priv
+
+        property date now: new Date()
+    }
+
+    contents: [
+        Row {
+            height: units.gu(24)
+            Scroller {
+                id: hourScroller
+                anchors {
+                    top: parent.top
+                    bottom: parent.bottom
+                }
+                width: parent.width / 2
+                labelText: qsTr("Hour")
+                min: 00
+                max: 23
+                currentIndex: priv.now.getHours()
+            }
+            Scroller {
+                id: minuteScroller
+                anchors {
+                    top: parent.top
+                    bottom: parent.bottom
+                }
+                width: parent.width / 2
+                labelText: qsTr("Minute")
+
+                min: 00
+                max: 59
+                currentIndex: priv.now.getMinutes()
+            }
+        },
+        Row {
+            spacing: units.gu(1)
+            Button {
+                text: "Cancel"
+                onClicked: {
+                    root.rejected()
+                    PopupUtils.close(root)
+                }
+                width: (parent.width - parent.spacing) / 2
+            }
+            Button {
+                text: "OK"
+                color: "#dd4814"
+
+                onClicked: {
+                    root.accepted(root.hour, root.minute)
+                    PopupUtils.close(root)
+                }
+                width: (parent.width - parent.spacing) / 2
+            }
+        }
+
+    ]
+}
\ No newline at end of file

